Bug 1598296 - texlive-revtex4 claims to provide tex(textcase.sty) but doesn't
Summary: texlive-revtex4 claims to provide tex(textcase.sty) but doesn't
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-05 03:28 UTC by Matt McCutchen
Modified: 2018-08-07 01:14 UTC (History)
2 users (show)

Fixed In Version: texlive-2016-51.20160520.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-07 01:14:14 UTC


Attachments (Terms of Use)

Description Matt McCutchen 2018-07-05 03:28:35 UTC
Description of problem:
I tried to compile a LaTeX document and got "! LaTeX Error: File `textcase.sty' not found."  I tried "dnf install 'tex(textcase.sty)'", dnf picked texlive-revtex4, and I still got the same error.  In fact, texlive-revtex4 does not contain the textcase.sty file, but texlive-textcase does.  Shouldn't "dnf install 'tex(textcase.sty)'" give me the package I need, or am I missing something about how this is supposed to work?

Version-Release number of selected component (if applicable):
texlive-2016-47.20160520.fc28

How reproducible:
Always

Steps to Reproduce:
# Have basic LaTeX packages installed (?) but not texlive-textcase.
dnf install 'tex(textcase.sty)'
cat >test.tex <<EOF
\documentclass{article}
\usepackage{textcase}
\begin{document}
\end{document}
EOF
pdflatex test.tex

Actual results:
! LaTeX Error: File `textcase.sty' not found.

Expected results:
Document builds successfully.

Comment 1 Fedora Update System 2018-07-23 14:05:10 UTC
texlive-2016-51.20160520.fc28 texlive-base-20170520-41.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 2 Fedora Update System 2018-07-23 14:05:28 UTC
texlive-2016-51.20160520.fc28 texlive-base-20170520-41.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 3 Fedora Update System 2018-07-23 22:21:12 UTC
texlive-2016-51.20160520.fc28, texlive-base-20170520-41.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 4 Fedora Update System 2018-08-07 01:14:14 UTC
texlive-2016-51.20160520.fc28, texlive-base-20170520-41.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.